aboutsummaryrefslogtreecommitdiff
path: root/contrib/cleanup-prebuilt-dir.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/cleanup-prebuilt-dir.sh')
-rwxr-xr-xcontrib/cleanup-prebuilt-dir.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/contrib/cleanup-prebuilt-dir.sh b/contrib/cleanup-prebuilt-dir.sh
index 5553fb467..a6655bf68 100755
--- a/contrib/cleanup-prebuilt-dir.sh
+++ b/contrib/cleanup-prebuilt-dir.sh
@@ -3,6 +3,11 @@ set -e
[ ! -d prebuilt ] && git worktree add -f prebuilt prebuilt && exit 1
+if output=$(git status --porcelain) && [ ! -z "$output" ]; then
+ echo Cannot apply to a dirty working tree, please stage your changes
+ exit 1
+fi
+
# make sure that the prebuilt directory is clean
# before building
# this script is part of the make prebuilt